/*******************************************************************************
 FileSpeak:
 
 A simple example to illustrate how to use the CUTalk(TM) Cantonese
 Text-To-Speech API to read a file.
  
*******************************************************************************
 CHANGE LOG
 13 AUG 2001	-	Created by LO Wai Kit
*******************************************************************************
 IMPORTANT

 To use this sample code, you MUST have be a valid licensee of the CUTalk(TM).
 Otherwise, you MUST REMOVE this program from your computer and any other
 storage.

 This program forms part of the CUTalk(TM). It is provided in the hope that it
 will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
*******************************************************************************
 Copyright (C) 2002 CUHK. All rights reserved.
******************************************************************************/
#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include "cutalk.h"

#define	MAXBUFLEN	10240

int main(
	int argc,
	char *argv[] ){
	FILE *fp;
	char buf[MAXBUFLEN];
	class inputdata e;

	// Check arguments
	if( argc != 2 ) {
		fprintf( stderr, "Usage : %s input_text\n", argv[0] );
		exit(-1);
	}

	// Initialisation
	if( initCTTS("C:\\CUTalk\\data", F_VOICE)==0 ){
		fprintf(stderr, "ERROR: CUTalk initialisation failed.\n");
		exit(-2);
	}

	// Read file
	if( (fp=fopen( argv[1], "rb" )) == NULL ) {
		fprintf(stderr, "ERROR: Cannot read input text file %s.\n", argv[1]);
		termCTTS();
		exit(-3);
	}

	while( feof(fp) == 0 ) {
		if( fgets( buf, MAXBUFLEN, fp ) == NULL ) {
			continue;
		}
		e.setcontent(buf);
		e.setnum(1);
		chinese2sound(&e);
	}
	fclose(fp);

	//Free the allocated memoery
	termCTTS();

	return 0;
}

